package edu.travel.adapter.service.country;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.dto.ShopCurrencyDto;
import edu.travel.remote.ShopCurrencyRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopCurrencyVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
@Component
public class CurrencyAdapter {
    @Autowired
    private ShopCurrencyRemoteController currencyRemoteController;
    //分页
    @AdapterAnnotation
    public RPCBaseResponse<IPage<ShopCurrencyVo>> getCurrencyPage(ShopCurrencyDto dto) {
        return currencyRemoteController.getCurrencyPage(dto);
    }
    @AdapterAnnotation
    public RPCBaseResponse<ShopCurrencyVo> getFormId(String id) {
        return currencyRemoteController.getFormId(id);
    }
    @AdapterAnnotation
    public RPCBaseResponse<ShopCurrencyVo> updateTargetFormId(ShopCurrencyDto entity) {
        return currencyRemoteController.updateTargetFormId(entity);
    }
    @AdapterAnnotation
    public RPCBaseResponse<ShopCurrencyVo> deleteTargetFormId(List<String> ids) {
        return currencyRemoteController.deleteTargetFormId(ids);
    }
    @AdapterAnnotation
    public RPCBaseResponse<List<ShopCurrencyVo>> getAllForm() {
        return currencyRemoteController.getAllForm();
    }
    @AdapterAnnotation
    public RPCBaseResponse<ShopCurrencyVo> saveFormTarget(ShopCurrencyDto entity) {
        return currencyRemoteController.saveFormTarget(entity);
    }
}
