package edu.travel.adapter.service.upload;

import com.alibaba.fastjson.JSON;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.upload.UploadRemoteController;
import edu.travel.remote.upload.dto.EduFileBlobDTO;
import edu.travel.remote.upload.dto.EduFileDTO;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

@Component
public class UploadAdapter  {
    @Autowired
    private UploadRemoteController uploadRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse<String> initializeUpload(){
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.initializeUpload();
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse exitsFile(String md5) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.exitsFile(md5);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse exitsBlob(String md5) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.exitsBlob(md5);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse uploadBigFile(EduFileBlobDTO dto, MultipartFile file) throws IOException {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.uploadBigFile(dto,file);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse mergeFile(EduFileDTO eduFileDTO) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.mergeFile(eduFileDTO);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse uploadFile(EduFileDTO eduFileDTO,MultipartFile file) throws IOException {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.uploadFile(JSON.toJSONString(eduFileDTO),file);
        return rpcBaseResponse;
    }
}
