package edu.travel.adapter.service.warehouse;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.dto.ShopWarehouseDto;
import edu.travel.dto.ShopWarehouseSaveDto;
import edu.travel.remote.ShopWarehouseRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopWarehouseStaffVo;
import edu.travel.vo.ShopWarehouseVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Component
public class WarehouseAdapter {
    @Autowired
    private ShopWarehouseRemoteController shopWarehouseRemoteController;

    //树形结构查询（连表）
    @AdapterAnnotation
    public RPCBaseResponse<List<ShopWarehouseVo>> getWarehouseCountryForm(ShopWarehouseDto dto) {
        return shopWarehouseRemoteController.getWarehouseCountryForm(dto);
    }

    //分页动态查询(连表)
    @AdapterAnnotation
    public RPCBaseResponse<IPage<ShopWarehouseVo>> getWarehouseCountryPage(ShopWarehouseDto dto) {
        return shopWarehouseRemoteController.getWarehouseCountryPage(dto);
    }

    //库房关联人员(角色）查询
    @AdapterAnnotation
    public RPCBaseResponse<List<ShopWarehouseStaffVo>> getWarehouseTenantRole(String id) {
        return shopWarehouseRemoteController.getWarehouseTenantRole(id);
    }

    //库房连表新增
    @AdapterAnnotation
    public RPCBaseResponse<ShopWarehouseVo> saveAllForm(@RequestBody ShopWarehouseSaveDto entity, HttpServletRequest request) {
        return shopWarehouseRemoteController.saveAllForm(entity,request);
    }

    //库房连表修改
    @AdapterAnnotation
    public RPCBaseResponse<ShopWarehouseVo> updateWarehouse(@RequestBody ShopWarehouseSaveDto entity,HttpServletRequest request) {
        return shopWarehouseRemoteController.updateWarehouse(entity,request);
    }

    //查询库房详情
    @AdapterAnnotation
    public RPCBaseResponse<ShopWarehouseVo> getFormId(String id) {
        return shopWarehouseRemoteController.getFormId(id);
    }

    //更新库房信息
    @AdapterAnnotation
    public RPCBaseResponse<ShopWarehouseVo> updateTargetFormId(@RequestBody ShopWarehouseDto entity) {
        return shopWarehouseRemoteController.updateTargetFormId(entity);
    }

    //新增库房信息
    @AdapterAnnotation
    public RPCBaseResponse<ShopWarehouseVo> saveFormTarget(@RequestBody ShopWarehouseDto entity) {
        return shopWarehouseRemoteController.saveFormTarget(entity);
    }

    //删除库房信息
    @AdapterAnnotation
    public RPCBaseResponse<ShopWarehouseVo> deleteTargetFormId(@RequestBody List<String> ids) {
        return shopWarehouseRemoteController.deleteTargetFormId(ids);
    }

    //查询所有库房信息
    @AdapterAnnotation
    public RPCBaseResponse<List<ShopWarehouseVo>> getAllForm() {
        return shopWarehouseRemoteController.getAllForm();
    }

}
