package edu.travel.remote.dto;


import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 类功能描述：
 *  新增商品
 * @author 大春
 * @date 2025/03/08
 */

@Data
public class InsertProductDto {

    /**
     * 类型ID
     */
    private String categoryId;

    /**
     * 类型名
     */
    private String categoryName;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品描述
     */
    private String description;

    /**
     * 热度值
     */
    private Integer heatValue;

    /**
     * 销量
     */
    private Integer salesVolume;

    /**
     * 0 上架 1 下架
     */
    private Integer status;

    /**
     * 价格
     */
    private BigDecimal defaultPrice;

    /**
     * 库房id
     */
    private Long warehouseId;

    /**
     * 国家ID
     */
    private Integer countryId;

    /**
     * 评分满分五分
     */
    private Integer scoring;
    /**
     * 图片
     */
    private List<FIleDto> images;
    /**
     *商品规格
     */
    private List<InsertProductSpecDto> specs;

    /**
     * 商品Sku
     */
    private List<InsertProductSkuDto> skus;
    /**
     * 商品参数
     */
    private List<InsertProductParametersDto> parameters;
}
