package edu.travel.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.entity.BaseEntity;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 货币表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_currency")
public class ShopCurrencyDto extends PagePO {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 货币名称_en
     */
    @TableField(value = "currency_name_en")
    private String currencyNameEn;

    /**
     * 货币名称_zh
     */
    @TableField(value = "currency_name_zh")
    private String currencyNameZh;

    /**
     * 货币代码
     */
    @TableField(value = "currency_code")
    private String currencyCode;

    /**
     * 货币符号
     * */
    @TableField(value = "currency_symbol")
    private String currencySymbol;
    /**
     * 货币单位
     * */
    @TableField(value = "currency_unit")
    private String currencyUnit;

    /**
     * 状态 -0启用  -1禁用
     * */
    @TableField(value = "status")
    private String status;
    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}