package edu.travel.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.entity.BaseEntity;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 服务国家货币表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseCountryServeCurrencyVo extends BaseEntity {
    /**
     * ID
     */
    private Long id;

    /**
     * 所属洲
     */
    private Long parentId;

    /**
     * 关联国家id
     */
    private Long countryId;

    /**
     * 服务费比率
     */
    private BigDecimal serviceChargeValue;

    /**
     * 结算显示方式 -0 CNY100 -1 ¥100 -2 100RMB
     */
    private Integer payViewWay;

    /**
     * 中文国家/洲名称
     */
    private String countryNameZh;

    /**
     * 英文国家/洲名称
     */
    private String countryNameEn;

    /**
     * 本地国家/洲名称
     */
    private String countryNameLocal;

    /**
     * 服务状态，默认0,-0未开通，-1开通
     */
    private Integer serveEnable;


    /**
     * 货币表id
     */
    private Long currencyId;
    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 货币名称_en
     */
    @TableField(value = "currency_name_en")
    private String currencyNameEn;

    /**
     * 货币名称_zh
     */
    @TableField(value = "currency_name_zh")
    private String currencyNameZh;

    /**
     * 货币代码
     */
    @TableField(value = "currency_code")
    private String currencyCode;

    /**
     * 货币符号
     * */
    @TableField(value = "currency_symbol")
    private String currencySymbol;
    /**
     * 货币单位
     * */
    @TableField(value = "currency_unit")
    private String currencyUnit;

}