package edu.travel.remote.feign.mode.romote;

import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.feign.mode.dto.tenant.BannerDto;
import edu.travel.remote.feign.mode.vo.banner.BannerVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

import static edu.travel.rpc.RPCBaseResponse.success;

@FeignClient(path = "/shopBanner", name = "tenant-dev")
public interface ShopBannerRemoteController extends RemoteBaseController<BannerVo, BannerDto> {
    @GetMapping("/getBanner")
    public RPCBaseResponse<List<BannerVo>> getBanner(BannerDto banner);
}
