package edu.travel.commodity.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.commodity.entity.ShopParameters;
import edu.travel.commodity.entity.ShopProductParameters;
import edu.travel.commodity.mapper.ShopParametersMapper;
import edu.travel.commodity.service.ShopParametersService;
import edu.travel.commodity.service.ShopProductParametersService;
import edu.travel.commodity.service.ShopProductService;
import edu.travel.commodity.utils.PageUtil;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.ShopParametersVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

@Service
public class ShopParametersServiceImpl extends ServiceImpl<ShopParametersMapper, ShopParameters> implements ShopParametersService {
    @Autowired
    private ShopProductParametersService shopProductParametersService;
    @Autowired
    private ShopProductService shopProductService;
    @Override
    public Page<ShopParametersVo> getShopParameters(ProductSpecDto param) {
        Page<ShopProductParameters> page = shopProductParametersService.lambdaQuery().eq(ShopProductParameters::getProductId, param.getProductId())
                .page(new Page<>(param.getCurrentPage(), param.getPageSize()));
        //分页获取参数值和参数ID
        Page<ShopParametersVo> pageEntity = PageUtil.toPageEntity(page, ShopParametersVo.class);
        List<ShopParametersVo> list = pageEntity.getRecords();
        if(ObjectUtil.isEmpty(list)){
            return pageEntity;
        }
        //参数IDS
        Set<String> collect = list.stream().map(ShopParametersVo::getParametersId).collect(Collectors.toSet());
        //参数值
        List<ShopParameters> parameters = lambdaQuery().in(ShopParameters::getId, collect).list();
        HashMap<String, ShopParameters> map = new HashMap<>();
        for (ShopParameters parameter : parameters) {
            map.put(parameter.getId().toString(), parameter);
        }
        //封装返回结果
        for (ShopParametersVo shopParametersVo : list) {
            ShopParameters shopParameters = map.get(shopParametersVo.getParametersId());
            if(ObjectUtil.isNotEmpty(shopParameters)){
                shopParametersVo.setParametersName(shopParameters.getParametersName());
                shopParametersVo.setIsNecessary(shopParameters.getIsNecessary());
            }
        }
        return pageEntity;
    }
}
