package edu.travel.commodity.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.commodity.entity.ShopProductImage;
import edu.travel.commodity.mapper.ShopProductImageMapper;
import edu.travel.commodity.service.ShopProductImageService;
import edu.travel.remote.dto.FIleDto;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


import java.util.ArrayList;
import java.util.List;

@Service
public class ShopProductImageServiceImpl extends ServiceImpl<ShopProductImageMapper, ShopProductImage> implements ShopProductImageService {

    @Override
    @Transactional
    public boolean saveProductImage(Long productId, List<FIleDto> images) {
        ArrayList<ShopProductImage> shopProductImages = new ArrayList<>();

        for (FIleDto fIleDto : images) {
            ShopProductImage shopProductImage = new ShopProductImage();
            shopProductImage.setProductId(productId);
            shopProductImage.setUrl(fIleDto.getFilePath());
            shopProductImage.setUrlType(fIleDto.getFileType());
            shopProductImages.add(shopProductImage);
        }
        return saveBatch(shopProductImages);
    }
}
