package edu.travel.commodity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.commodity.entity.ShopSearchRecords;
import edu.travel.commodity.mapper.ShopSearchRecordsMapper;
import edu.travel.commodity.service.ShopSearchRecordsService;
import edu.travel.commodity.utils.PageUtil;
import edu.travel.remote.dto.SearchRecordListDto;
import edu.travel.remote.vo.SearchRecordsVo;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class ShopSearchRecordsServiceImpl extends ServiceImpl<ShopSearchRecordsMapper, ShopSearchRecords> implements ShopSearchRecordsService {

    @Override
    public void clearSearchRecords(SearchRecordListDto baseDto) {
        LambdaQueryWrapper<ShopSearchRecords> query = Wrappers.<ShopSearchRecords>lambdaQuery();
        query.eq(ShopSearchRecords::getCountryId, baseDto.getCountryId());
        query.eq(ShopSearchRecords::getSearchType, baseDto.getSearchType());
        remove(query);
    }

    @Override
    public Page<SearchRecordsVo> searchRecordList(SearchRecordListDto baseDto) {

        LambdaQueryWrapper<ShopSearchRecords> query = Wrappers.<ShopSearchRecords>lambdaQuery();
        query.eq(ShopSearchRecords::getCountryId, baseDto.getCountryId());
        query.eq(ShopSearchRecords::getSearchType, baseDto.getSearchType());
        query.orderByDesc(ShopSearchRecords::getSearchTime);

        Page<ShopSearchRecords> page = this.page(new Page<>(baseDto.getCurrentPage(), baseDto.getPageSize()), query);

        return PageUtil.toPageEntity(page, SearchRecordsVo.class);
    }


    public void add(String searchString, Long countryId,Integer searchType){
        LambdaQueryWrapper<ShopSearchRecords> query = Wrappers.<ShopSearchRecords>lambdaQuery();
        query.eq(ShopSearchRecords::getCountryId, countryId);
        query.eq(ShopSearchRecords::getSearchType, searchType);
        query.eq(ShopSearchRecords::getSearchKeyword, searchString);
        ShopSearchRecords one = getOne(query);
        if(one==null){
            ShopSearchRecords shopSearchRecords = new ShopSearchRecords();
            shopSearchRecords.setSearchCount(1);
            shopSearchRecords.setSearchKeyword(searchString);
            shopSearchRecords.setCountryId(countryId);
            shopSearchRecords.setSearchTime(new Date());
            save(shopSearchRecords);
        }
    }
}
