package edu.travel.commodity.web;

import edu.travel.commodity.entity.ShopCategory;
import edu.travel.commodity.service.ShopCategoryService;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.ShopTypeDto;
import edu.travel.remote.feign.mode.vo.tenant.AddMenuVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.remote.vo.ShopTypeVo;
import edu.travel.web.BaseController;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.concurrent.ExecutionException;

import static edu.travel.rpc.RPCBaseResponse.success;

/**
* 商品类型(shop_category)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopCategory")
public class ShopCategoryController  extends BaseController<ShopCategory> {
/**
* 服务对象
*/
    @Autowired
    private ShopCategoryService shopCategoryService;

    /**
     *  获取商品类型
     * @return {@link BaseResponse }<{@link AddMenuVo }>
     */
    @GetMapping("/getShopType")
    public RPCBaseResponse<List<ShopTypeVo>> getShopType(ShopTypeDto param) throws ExecutionException {
        return success(shopCategoryService.getShopType(param));
    }

    /**
     *  获取二级热门商品类型
     * @return {@link BaseResponse }<{@link AddMenuVo }>
     */
    @GetMapping("/getLevelToShopType")
    public RPCBaseResponse<List<ShopTypeVo>> getLevelToShopType(BaseDto param) throws ExecutionException {
        return success(shopCategoryService.getLevelToShopType(param));
    }

}
