package edu.travel.commodity.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.commodity.entity.ShopOpinion;
import edu.travel.commodity.service.ShopOpinionService;
import edu.travel.remote.dto.ShopOpinionDto;
import edu.travel.remote.opinion.ShopOpinionRemoteController;
import edu.travel.remote.vo.ShopOpinionVo;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.web.BaseController;
import org.springframework.beans.BeanUtils;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
* 意见表(shop_opinion)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopOpinion")
public class ShopOpinionController extends BaseController<ShopOpinion> implements ShopOpinionRemoteController {
/**
* 服务对象
*/
    @Autowired
    private ShopOpinionService shopOpinionService;
    /**
     * 分页查询（连表）
     */
    @GetMapping("/getAllFormPage")
    public RPCBaseResponse<IPage<ShopOpinionVo>> getAllFormPage(ShopOpinionDto dto) {
        return shopOpinionService.getAllFormPage(dto);
     }
    /**
     *获取意见
     */
    @Override
    @GetMapping("/getFormId")
    public RPCBaseResponse<ShopOpinionVo> getFormId(String id) {
        RPCBaseResponse<ShopOpinion> shopOpinionRPCBaseResponse = super.getId(id);
        RPCBaseResponse<ShopOpinionVo> shopOpinionVoRPCBaseResponse = new RPCBaseResponse<>();
        BeanUtils.copyProperties(shopOpinionRPCBaseResponse, shopOpinionVoRPCBaseResponse);
        return shopOpinionVoRPCBaseResponse;
    }

    /**
     * 更新意见
     */
    @Override
    @PostMapping("/updateTargetFormId")
    public RPCBaseResponse<ShopOpinionVo> updateTargetFormId(ShopOpinionDto entity) {
        ShopOpinion shopOpinion = new ShopOpinion();
        BeanUtils.copyProperties(entity, shopOpinion);
        RPCBaseResponse<ShopOpinion> shopOpinionRPCBaseResponse = super.updateTargetById(shopOpinion);
        RPCBaseResponse<ShopOpinionVo> shopOpinionVoRPCBaseResponse = new RPCBaseResponse<>();
        BeanUtils.copyProperties(shopOpinionRPCBaseResponse, shopOpinionVoRPCBaseResponse);
        return shopOpinionVoRPCBaseResponse;
    }

    /**
     * 新增意见
     */
    @Override
    @PostMapping("/saveFormTarget")
    public RPCBaseResponse<ShopOpinionVo> saveFormTarget(ShopOpinionDto entity) {
        ShopOpinion shopOpinion = new ShopOpinion();
        BeanUtils.copyProperties(entity, shopOpinion);
        RPCBaseResponse<ShopOpinion> shopOpinionRPCBaseResponse = super.saveTarget(shopOpinion);
        RPCBaseResponse<ShopOpinionVo> shopOpinionVoRPCBaseResponse = new RPCBaseResponse<>();
        BeanUtils.copyProperties(shopOpinionRPCBaseResponse, shopOpinionVoRPCBaseResponse);
        return shopOpinionVoRPCBaseResponse;
    }

    /**
     * 删除意见
     */
    @Override
    @PostMapping("/deleteTargetFormId")
    public RPCBaseResponse<ShopOpinionVo> deleteTargetFormId(List<String> ids) {
        RPCBaseResponse<ShopOpinion> shopOpinionRPCBaseResponse = super.deleteTargetById(ids);
        RPCBaseResponse<ShopOpinionVo> shopOpinionVoRPCBaseResponse = new RPCBaseResponse<>();
        BeanUtils.copyProperties(shopOpinionRPCBaseResponse, shopOpinionVoRPCBaseResponse);
        return shopOpinionVoRPCBaseResponse;
    }

    /**
     * 获取所有意见
     */
    @Override
    @GetMapping("/getAllForm")
    public RPCBaseResponse<List<ShopOpinionVo>> getAllForm() {
        RPCBaseResponse<List<ShopOpinion>> countryRPCBaseResponse = super.listAll();
        RPCBaseResponse<List<ShopOpinionVo>> baseCountryVoRPCBaseResponse = new RPCBaseResponse<>();
        BeanUtils.copyProperties(countryRPCBaseResponse, baseCountryVoRPCBaseResponse);
        return baseCountryVoRPCBaseResponse;
    }

}
