package edu.travel.commodity.web;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.service.ShopParametersService;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.remote.vo.ShopParametersVo;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import static edu.travel.rpc.RPCBaseResponse.success;

/**
* 商品参数(shop_parameters)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopParameters")
public class ShopParametersController {
/**
* 服务对象
*/
    @Autowired
    private ShopParametersService shopParametersService;

    /**
     *  获取商品参数
     * @param param
     * @return {@link BaseResponse }<{@link Page }<{@link ShopParametersVo }>>
     */
    @GetMapping("getShopParameters")
    public RPCBaseResponse<Page<ShopParametersVo>> getShopParameters(ProductSpecDto param){
        return success(shopParametersService.getShopParameters(param));
    }
}
