package edu.travel.commodity.web;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.service.ShopReviewService;
import edu.travel.remote.dto.AddReviewDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.remote.vo.ShopReviewVo;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;


import static edu.travel.rpc.RPCBaseResponse.success;


/**
* 商品评论表(shop_review)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopReview")
public class ShopReviewController {
/**
* 服务对象
*/
    @Autowired
    private ShopReviewService shopReviewService;

    /**
     *  获取商品评论
     * @param params
     * @return {@link RPCBaseResponse }<{@link Page }<{@link ShopReviewVo }>>
     */

    @GetMapping("/getShopReview")
    public RPCBaseResponse<Page<ShopReviewVo>> getShopReview(ProductSpecDto params) {
        return success(shopReviewService.getShopReview(params));
    }

    /**
     * 发表评论
     * @param params
     * @return {@link RPCBaseResponse }<{@link String }>
     */
    @PostMapping("/addReview")
    public RPCBaseResponse<String> addReview(@RequestBody AddReviewDto params) {
        return success(shopReviewService.addReview(params));
    }
}
