package edu.travel.country.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import edu.travel.country.entity.ShopCurrency;
import edu.travel.country.mapper.ShopCurrencyMapper;
import edu.travel.country.service.ShopCurrencyService;
import edu.travel.dto.ShopCurrencyDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.service.SysServiceImpl;
import edu.travel.vo.ShopCurrencyVo;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ShopCurrencyServiceImpl extends SysServiceImpl<ShopCurrencyMapper, ShopCurrency> implements ShopCurrencyService {

    @Autowired
    private ShopCurrencyMapper shopCurrencyMapper;
    @Override
    public RPCBaseResponse<IPage<ShopCurrencyVo>> getCurrencyPage(ShopCurrencyDto dto) {
        Page<ShopCurrency> baseCountryServePage = new Page<>(dto.getCurrentPage(), dto.getPageSize());
        IPage<ShopCurrency> pageLink = super.getPageLink(new LambdaQueryWrapper<ShopCurrency>(), baseCountryServePage);
        IPage<ShopCurrencyVo> result = new Page<>();
        BeanUtils.copyProperties(pageLink, result);
        return new RPCBaseResponse<>(200,"SUCCESS",result);
    }
}
