package edu.travel.education.entity;

import java.util.Date;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import edu.travel.annotation.LinkConst;
import edu.travel.education.entity.dict.CourseTypeDict;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;

import javax.validation.constraints.NotNull;

/**
 * 开心中文报名表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HappyEntry extends BaseEntity {
    /**
    * 主键id
    */

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
    * 姓
    */
    @NotNull
    @TableField(value = "surname")
    private String surname;

    /**
    * 名
    */
    @NotNull
    @TableField(value = "name")
    private String name;

    /**
    * 电话号码
    */
    @NotNull
    @TableField(value = "phone")
    private String phone;

    /**
    * 国家区号
    */
    @NotNull
    @TableField(value = "area_code")
    private String areaCode;

    /**
    * 课程类型
    */
    @NotNull
    @TableField(value = "course_type")
    private Integer courseType;

    /**
    * 最小年龄
    */
    @NotNull
    @TableField(value = "min_age")
    private Integer minAge;

    /**
     * 最大年龄
     */
    @NotNull
    @TableField(value = "max_age")
    private Integer maxAge;

    /**
     * 邮箱
     */
    @NotNull
    @TableField(value = "email")
    private String email;

    /**
     * 课程类型字典
     */
    @TableField(exist = false)
    @LinkConst(fieldName = "courseType",clazz = CourseTypeDict.class)
    private Map CodeCourseTypeDict;


}