package edu.travel.order.enums;

import lombok.Getter;

/**
 * 类功能描述：
 *  订单状态枚举
 * @author 大春
 * @date 2025/03/06
 */
@Getter
public enum OrderStateEnum {
    WAITING_FOR_PAYMENT(0, "待付款"),
    ORDERED(1, "已下单"),
    AWAITING_SHIPMENT(2, "待发货"),
    AWAITING_RECEIPT(3, "待收货"),
    AWAITING_EVALUATION(4, "待评价"),
    COMPLETED(5, "已完成"),
    CANCELLED(6, "已取消");

    private final int state;
    private final String name;

    OrderStateEnum(int state, String name) {
        this.state = state;
        this.name = name;
    }

    public int getState() {
        return state;
    }

    public String getName() {
        return name;
    }

    public static OrderStateEnum fromState(int state) {
        for (OrderStateEnum orderState : values()) {
            if (orderState.getState() == state) {
                return orderState;
            }
        }
        throw new IllegalArgumentException("No matching enum found for state: " + state);
    }

}
